IntelliCAD 11.1 Object Library
AddPointEntity Method
See Also 
Point
A Point object representing the location to insert the PointEntity.
Block Collection : AddPointEntity Method

Description

Adds a point entity at a given location.

Syntax

Visual Basic
Public Function AddPointEntity( _
   ByVal Point As Point _
) As PointEntity

Parameters

Point
A Point object representing the location to insert the PointEntity.

Example

Private Sub AddPointEntityExample()

' This example adds a point entity to the drawing using the AddPointEntity ' method.

     Dim icadDoc As IntelliCAD.Document

     Dim myPoint As IntelliCAD.Point

     Dim myPtEnt As IntelliCAD.PointEntity

     Set icadDoc = ActiveDocument

     Set myPoint = Library.CreatePoint(4, 2)

     Set myPtEnt = icadDoc.ModelSpace.AddPointEntity(myPoint)

     myPtEnt.Update

     MsgBox "Point created at 4,2."

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.